Bug 4655 - EntrySweeper should be a daemon thread
: EntrySweeper should be a daemon thread
Status: RESOLVED FIXED
: MDS4
wsrf_aggregator
: 4.0.2
: PC Linux
: P3 minor
: 4.0.3
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2006-08-11 18:37 by
Modified: 2006-08-18 15:33 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-08-11 18:37:05
globus-stop-container does not stop the container's jvm if
AggregatorServiceGroupResource.EntrySweeper is running as a non-daemon thread.

Fix is trivial:
        this.sweeperInterval = getConfiguration().getEntrySweeperInterval();
        //Set Daemon flag before starting the thread
        entrySweeper.setDaemon(true);
        entrySweeper.start();

A related question:
Should EntrySweeper be a TimerListener task to be used with the TimerManager
supplied with the container? Seems like it would be an easy change.
------- Comment #1 From 2006-08-16 15:04:30 -------
Will convert EntrySweeper to TimerListener in HEAD and will update 4.0.x
branches to use setDaemon(true). Thanks Shishir.
------- Comment #2 From 2006-08-18 15:33:50 -------
Fixed the 4.0.x branch to use setDaemon(true).  It looks like the code in 4.1.x
and HEAD has the proper thread termination code in it and functions correctly
when using globus-stop-container.  I will likely still change the code in HEAD
to use TimerLister interface instead of Thread for consistency, but it is not a
bug at the moment.